Subject: Re: bug#36729: 27.0.50; Unclear total in directory listing

From: Robert Pluim <[email-masked]>
Date: Thu, 08 Oct 2020 09:45:20 +0200

>>>>> On Wed, 07 Oct 2020 18:40:23 +0200, Michael Albinus <[email-masked]> said:

    Michael> Eli Zaretskii <[email-masked]> writes:
    >>> That's right. It may be blocks, sectors, KiB, or baker's
    >>> dozens. There may be ways to influence the unit (switches,
    >>> environment variables) but not portably, and there is no way of
    >>> telling what effects such efforts take, if any.
    >> 
    >> Doesn't the result come from get-free-disk-space, which calls
    >> file-system-info, which reports in known units?  Or am I confused?

    Michael> file-system-info does not give you information about used file sizes in
    Michael> a directory. Something which I've missed also in Tramp.

Tramp could use 'ls-lisp' maybe?

Robert
--